<?php


namespace App\ViewModels\Perfil\PerfilDetailsViewModel;

use App\Utils\Collections\GeneralCollection;

class PermissaoDetailsCollection extends GeneralCollection
{
    public function get (int $index) : PermissaoDetails {
        return $this->memory[$index];
    }
    public function push ($pergunta_registration) : void {
        $type = (function (array $class_path) {
            return $class_path[count($class_path) - 1];
        })(explode('\\' , get_class($pergunta_registration)));
        if ($type !== 'PermissaoDetails') {
            throw new \TypeError("O objeto de entrada deve ser uma instância da classe PermissaoDetailsViewModel. Tipo fornecido: $type.");
        }
        $this->memory[] = $pergunta_registration;
        $this->length++;
    }
}